Get improve-scenarios progress
Returns the status of an improve-scenarios session started with the improve-evaluator-scenarios endpoint.
GET
/
ai
/
tests
/
test_framework
/
v1
/
scenarios
/
scenario-agent-progress
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.tests.testFramework.v1.scenarios.retrieveScenarioAgentProgress();
console.log(response.progress_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.tests.test_framework.v1.scenarios.retrieve_scenario_agent_progress()
print(response.progress_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Tests.TestFramework.V1.Scenarios.GetScenarioAgentProgress(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().tests().testFramework().v1().scenarios().retrieveScenarioAgentProgress();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.tests.test_framework.v1.scenarios.retrieve_scenario_agent_progress
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->tests->testFramework->v1->scenarios->retrieveScenarioAgentProgress();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:tests:test-framework:v1:scenarios retrieve-scenario-agent-progress \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/scenario-agent-progress \
--header 'Authorization: Bearer <token>'{
"progress_id": "c8f5d2b3-4e5f-6a7b-9c0d-1f2a3b4c5d6e",
"session_id": 417,
"mode": "improve",
"status": "completed",
"result": {
"success": true,
"message": "Applied changes to 2 scenarios."
},
"error": null
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The AI Tests service rejected the request."
}
]
}{
"errors": [
{
"code": "10003",
"title": "Unauthorized",
"detail": "The API key is missing or invalid."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Not Found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10018",
"title": "Unprocessable Entity",
"detail": "Validation failed for the request payload."
}
]
}{
"errors": [
{
"code": "10029",
"title": "Too Many Requests",
"detail": "Too many requests; retry later."
}
]
}{
"errors": [
{
"code": "10063",
"title": "Service Unavailable",
"detail": "The test framework service is temporarily unavailable."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Progress ID returned by the improve-evaluator-scenarios endpoint.
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.tests.testFramework.v1.scenarios.retrieveScenarioAgentProgress();
console.log(response.progress_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.tests.test_framework.v1.scenarios.retrieve_scenario_agent_progress()
print(response.progress_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Tests.TestFramework.V1.Scenarios.GetScenarioAgentProgress(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().tests().testFramework().v1().scenarios().retrieveScenarioAgentProgress();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.tests.test_framework.v1.scenarios.retrieve_scenario_agent_progress
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->tests->testFramework->v1->scenarios->retrieveScenarioAgentProgress();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:tests:test-framework:v1:scenarios retrieve-scenario-agent-progress \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/scenario-agent-progress \
--header 'Authorization: Bearer <token>'{
"progress_id": "c8f5d2b3-4e5f-6a7b-9c0d-1f2a3b4c5d6e",
"session_id": 417,
"mode": "improve",
"status": "completed",
"result": {
"success": true,
"message": "Applied changes to 2 scenarios."
},
"error": null
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The AI Tests service rejected the request."
}
]
}{
"errors": [
{
"code": "10003",
"title": "Unauthorized",
"detail": "The API key is missing or invalid."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Not Found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10018",
"title": "Unprocessable Entity",
"detail": "Validation failed for the request payload."
}
]
}{
"errors": [
{
"code": "10029",
"title": "Too Many Requests",
"detail": "Too many requests; retry later."
}
]
}{
"errors": [
{
"code": "10063",
"title": "Service Unavailable",
"detail": "The test framework service is temporarily unavailable."
}
]
}